Appointment

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.java
Interface Appointment

All Superinterfaces:
  java.lang.Cloneable

All Known Implementing Classes:
  AppointmentVO

public interface Appointment
extends java.lang.Cloneable

Title: OpenSwing Framework

Description: Interface used to define an appointment, based on a starting date+hour and an end date+hour.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Method Summary
`java.lang.Object` | `clone()`
`java.awt.Color` | `getBackgroundColor()`
`java.lang.String` | `getDescription()`
`java.math.BigDecimal` | `getDuration()`
`java.sql.Timestamp` | `getEndDate()`
`java.awt.Color` | `getForegroundColor()`
`java.sql.Timestamp` | `getStartDate()`
`boolean` | `isEnableDelete()`
`boolean` | `isEnableEdit()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDuration(java.math.BigDecimal duration)`
`void` | `setEnableDelete(boolean enableDelete)`
`void` | `setEnableEdit(boolean enableEdit)`
`void` | `setEndDate(java.sql.Timestamp endDate)`
`void` | `setForegroundColor(java.awt.Color foregroundColor)`
`void` | `setStartDate(java.sql.Timestamp startDate)`

Method Detail

### getStartDate

    public java.sql.Timestamp getStartDate()

### setStartDate

    public void setStartDate(java.sql.Timestamp startDate)

### getEndDate

    public java.sql.Timestamp getEndDate()

### setEndDate

    public void setEndDate(java.sql.Timestamp endDate)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getForegroundColor

    public java.awt.Color getForegroundColor()

### setForegroundColor

    public void setForegroundColor(java.awt.Color foregroundColor)

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

### setDuration

    public void setDuration(java.math.BigDecimal duration)

### getDuration

    public java.math.BigDecimal getDuration()

### setEnableEdit

    public void setEnableEdit(boolean enableEdit)

### isEnableEdit

    public boolean isEnableEdit()

### setEnableDelete

    public void setEnableDelete(boolean enableDelete)

### isEnableDelete

    public boolean isEnableDelete()

### clone

    public java.lang.Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD